%if 0%{?suse_version}
%define	pkgname		apache2-mod_pagespeed
%define apa_moddir	%{_libdir}/apache2
%define apa_confdir	%{_sysconfdir}/apache2/conf.d
Requires:	apache2 >= 2.2
BuildRequires:	apache2 >= 2.2
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
%define	pkgname		mod_pagespeed
%define apa_moddir	%{_libdir}/httpd/modules
%define	apa_confdir	%{_sysconfdir}/httpd/conf.d
Requires:	httpd >= 2.2
BuildRequires:	httpd >= 2.2
%endif

Name:		%{pkgname}
Version:	0.0.136
Release:	3.1
Url:		http://code.google.com/p/modpagespeed/
Summary:	Apache2 mod_pagespeed
License:	Apache License 2.0
Source0:	mod_pagespeed.tar.bz2
Group:		Productivity/Networking/Web/Servers
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gcc-c++ make subversion python

%description
mod_pagespeed is an open-source Apache module that automatically optimizes web pages and resources on them.
It does this by rewriting the resources using filters that implement web performance best practices.
Webmasters and web developers can use mod_pagespeed to improve the performance of their web pages when
serving content with the Apache HTTP Server.

mod_pagespeed includes several filter that optimize JavaScript, HTML and CSS stylesheets.
It also includes filters for optimizing JPEG and PNG images. The filters are based on a set of best practices
known to enhance web page performance. Webmasters who set up mod_pagespeed in addition to configuring proper
caching and compression on their Apache distribution should expect to see an improvement in the loading
time of the pages on their websites.

%prep
%setup -q -n src

%build
%__make BUILDTYPE=Release

%install
%__install -D -m0755 out/Release/libmod_pagespeed.so	%{buildroot}%{apa_moddir}/libmod_pagespeed.so
%__install -D -m0644 out/Release/install/common/pagespeed.conf.template	%{buildroot}%{apa_confdir}/pagespeed.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{apa_moddir}/libmod_pagespeed.so
%config(noreplace) %{apa_confdir}/pagespeed.conf

%changelog
* Thu Nov 04 2010 Carsten Schoene <cs@linux-administrator.com> - 0.0.136
- initial package build
